Medipim FR - API V4

Developer documentation

POST /v4/medipim-categories/query

(Last updated: 02/03/2026)

Request

Method

POST

URL

https://api.medipim.fr/v4/medipim-categories/query

Headers

Body

  • filter: one of the filters below; filters can be combined using and, or & not. (optional)
  • page (optional; if none is provided all results are returned)
    • no: page number (zero-based)
    • size: one of 10, 50, 100 or 250 (defaults to 100)
Filter Description Parameters Examples
{"id": ...} Matches Medipim category by its unique identifier. String {"id": "medipimCategory-abc-123"}
{"parent": ...} Matches Medipim categories by their parent category identifier. String {"parent": "medipimCategory-abc-123"}
{"search": ...} Matches Medipim categories by searching their name. Object with query and locale {"search": {"query": "skin", "locale": "en"}}
{"deleted": ...} Matches Medipim categories by their deleted status. Boolean {"deleted": false}
{"and": [...]} Matches Medipim categories that match all of the given filters. A list of filters. {"and": [{"deleted": false}, {"parent": "medipimCategory-abc-123"}]}
{"or": [...]} Matches Medipim categories that match any of the given filters. A list of filters. {"or": [{"id": "medipimCategory-abc-123"}, {"parent": "medipimCategory-def-456"}]}
{"not": ...} Matches Medipim categories that do not match the given filter. A filter. {"not": {"deleted": true}}

Response

Body

  • meta:
    • total: total number of Medipim categories (integer)
    • page:
      • no: page number (zero-based) (integer)
      • offset: offset of the first item in the entire resultset (integer)
      • size: size of the page (integer)
  • results[]:
    • id: unique identifier of the Medipim category (string, unique)
    • name.{...}: name of the Medipim category (string, localized)
    • description.{...}: description of the Medipim category (string, localized)
    • parent: identifier of the parent category, or null for root categories (string, nullable)
    • order: sort order of the Medipim category (integer)

Notice

The meta page section will only be returned if you added a page in the request body.

Examples